package com.sv.mapper;

import com.sv.entity.Announcement;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Mapper - 公告
 *
 * @author lihong
 * @since 2018-08-06
 */
public interface AnnouncementMapper {

    /**
     * 新建公告
     *
     * @param announcement 公告
     */
    void insert(Announcement announcement);

    /**
     * 更新公告
     *
     * @param announcement 公告
     */
    void update(Announcement announcement);

    /**
     * 删除公告
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除公告
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * api
     * 查询公告
     *
     * @param id 编号
     * @return 公告
     */
    Announcement findById(Integer id);

    /**
     * oms
     * 查询公告
     *
     * @param id 编号
     * @return 公告
     */
    Announcement findByIdOms(Integer id);

    /**
     * api
     * 查询公告
     *
     * @return 公告集合
     */
    List<Announcement> findAll();

    /**
     * 后台
     * 查询公告
     *
     * @return 公告集合
     */
    List<Announcement> findAlls(@Param("starTime") String starTime, @Param("endTime") String endTime);

}